Ubuntu

Out of date with AWS API

Reported by Robert Collins on 2010-02-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Eucalyptus
Fix Released
Undecided
chris grzegorczyk
eucalyptus (Ubuntu)
Wishlist
Unassigned

Bug Description

This is a wishlist really: Amazon AWS versions their API and as they add features the API moves; it would be great to support the latest and greatest API facilities, but its not trivial.

One thing that could be done to make this better is documentation: Amazon clearly document the API version they support and provide docs for each release (and you can use old releases too). We should document the API version we are current with (searching for UEC API version doesn't return anything remotely useful).

chris grzegorczyk (chris-grze) wrote :

While not addressing the entire issue you indicate, the current lucid package (which is r1180) includes fixes which restore client compatibility for the SOAP interface up to api-2009-11-30 and tools-46266:

------------------------------------------------------------
revno: 1176
committer: decker <decker@hawaii>
branch nick: 1.6.2
timestamp: Fri 2010-02-05 04:17:25 -0800
message:
  fixes for common operations to restore client compatibility for ec2 41510, 41620, 42584, 45772, 46266.
------------------------------------------------------------

Scott Moser (smoser) on 2010-02-11
Changed in eucalyptus (Ubuntu):
importance: Undecided → Wishlist
Dustin Kirkland  (kirkland) wrote :

Robert-

Have you been able to take a crack at the Lucid packages? Can you still identify API incompatibilities?

Changed in eucalyptus (Ubuntu):
status: New → Incomplete
Dustin Kirkland  (kirkland) wrote :

Marking fix-released, think this is better addressed in Lucid. Please reopen if you can reproduced it in Lucid, Robert.

Changed in eucalyptus (Ubuntu):
status: Incomplete → Fix Released

 status confirmed

I'm pretty sure this is still open: its mainly a matter of docs, to
document precisely which EC2 features are and are not supported. E.g. to
pick a single API feature - can UEC boot of off EBS yet?

I just had a quick look around using google, and still didn't find any
clear statement.

-Rob

Changed in eucalyptus (Ubuntu):
status: Fix Released → Confirmed
Dave Walker (davewalker) wrote :

@Eucalyptus, Do you plan on documenting which version of the API you are following?

Thanks.

Ye Wen (wenye) wrote :

clc/modules/msgs/src/main/resources/*-binding.xml lists the aws API versions
we support.

On Tue, Aug 24, 2010 at 10:49 AM, Dave Walker <email address hidden> wrote:

> @Eucalyptus, Do you plan on documenting which version of the API you are
> following?
>
> Thanks.
>
> ** Also affects: eucalyptus
> Importance: Undecided
> Status: New
>
> --
> Out of date with AWS API
> https://bugs.launchpad.net/bugs/520265
> You received this bug notification because you are a member of
> Eucalyptus Maintainers, which is subscribed to Eucalyptus.
>
> Status in Eucalyptus: New
> Status in “eucalyptus” package in Ubuntu: Confirmed
>
> Bug description:
> This is a wishlist really: Amazon AWS versions their API and as they add
> features the API moves; it would be great to support the latest and greatest
> API facilities, but its not trivial.
>
> One thing that could be done to make this better is documentation: Amazon
> clearly document the API version they support and provide docs for each
> release (and you can use old releases too). We should document the API
> version we are current with (searching for UEC API version doesn't return
> anything remotely useful).
>
>
>

Dave Walker (davewalker) wrote :

@Ye, thanks for the quick update.

Here is a list of those locations in current Maverick:
clc/modules/msgs/src/main/resources/2006-06-26-binding.xml
clc/modules/msgs/src/main/resources/2006-10-01-binding.xml
clc/modules/msgs/src/main/resources/2007-01-03-binding.xml
clc/modules/msgs/src/main/resources/2007-01-19-binding.xml
clc/modules/msgs/src/main/resources/2007-03-01-binding.xml
clc/modules/msgs/src/main/resources/2007-08-29-binding.xml
clc/modules/msgs/src/main/resources/2008-02-01-binding.xml
clc/modules/msgs/src/main/resources/2008-05-05-binding.xml
clc/modules/msgs/src/main/resources/2008-08-08-binding.xml
clc/modules/msgs/src/main/resources/2008-12-01-binding.xml
clc/modules/msgs/src/main/resources/2009-03-01-binding.xml
clc/modules/msgs/src/main/resources/2009-04-04-binding.xml
clc/modules/msgs/src/main/resources/2009-07-15-binding.xml
clc/modules/msgs/src/main/resources/2009-08-15-binding.xml
clc/modules/msgs/src/main/resources/2009-10-31-binding.xml
clc/modules/msgs/src/main/resources/2009-11-30-binding.xml
clc/modules/msgs/src/main/resources/CC-binding.xml
clc/modules/msgs/src/main/resources/s3-2006-03-01-binding.xml
clc/modules/msgs/src/main/resources/storage-controller-binding.xml

Does this mean we are following the 2009-11-30 API?
(aka: http://docs.amazonwebservices.com/AWSEC2/2009-11-30/APIReference/)

If so, then the "fix" for this bug is to link to it in our docs.. Thanks :)

Ye Wen (wenye) wrote :

It means all these APIs are compatible with Eucalyptus. Chris can be more
specific, maybe.

On Tue, Aug 24, 2010 at 11:25 AM, Dave Walker <email address hidden> wrote:

> @Ye, thanks for the quick update.
>
> Here is a list of those locations in current Maverick:
> clc/modules/msgs/src/main/resources/2006-06-26-binding.xml
> clc/modules/msgs/src/main/resources/2006-10-01-binding.xml
> clc/modules/msgs/src/main/resources/2007-01-03-binding.xml
> clc/modules/msgs/src/main/resources/2007-01-19-binding.xml
> clc/modules/msgs/src/main/resources/2007-03-01-binding.xml
> clc/modules/msgs/src/main/resources/2007-08-29-binding.xml
> clc/modules/msgs/src/main/resources/2008-02-01-binding.xml
> clc/modules/msgs/src/main/resources/2008-05-05-binding.xml
> clc/modules/msgs/src/main/resources/2008-08-08-binding.xml
> clc/modules/msgs/src/main/resources/2008-12-01-binding.xml
> clc/modules/msgs/src/main/resources/2009-03-01-binding.xml
> clc/modules/msgs/src/main/resources/2009-04-04-binding.xml
> clc/modules/msgs/src/main/resources/2009-07-15-binding.xml
> clc/modules/msgs/src/main/resources/2009-08-15-binding.xml
> clc/modules/msgs/src/main/resources/2009-10-31-binding.xml
> clc/modules/msgs/src/main/resources/2009-11-30-binding.xml
> clc/modules/msgs/src/main/resources/CC-binding.xml
> clc/modules/msgs/src/main/resources/s3-2006-03-01-binding.xml
> clc/modules/msgs/src/main/resources/storage-controller-binding.xml
>
> Does this mean we are following the 2009-11-30 API?
> (aka: http://docs.amazonwebservices.com/AWSEC2/2009-11-30/APIReference/)
>
> If so, then the "fix" for this bug is to link to it in our docs.. Thanks
> :)
>
> --
> Out of date with AWS API
> https://bugs.launchpad.net/bugs/520265
> You received this bug notification because you are a member of
> Eucalyptus Maintainers, which is subscribed to Eucalyptus.
>
> Status in Eucalyptus: New
> Status in “eucalyptus” package in Ubuntu: Confirmed
>
> Bug description:
> This is a wishlist really: Amazon AWS versions their API and as they add
> features the API moves; it would be great to support the latest and greatest
> API facilities, but its not trivial.
>
> One thing that could be done to make this better is documentation: Amazon
> clearly document the API version they support and provide docs for each
> release (and you can use old releases too). We should document the API
> version we are current with (searching for UEC API version doesn't return
> anything remotely useful).
>
>
>

Changed in eucalyptus:
assignee: nobody → chris grzegorczyk (chris-grze)
status: New → Triaged

On our site we explicitly mentioned the current version supported (http://open.eucalyptus.com/participate/contribute look for the API links). I believe the developer's corner is the right place to post such information, so I close the bug now. Feel free to re-open if we should post it somewhere else.

Changed in eucalyptus:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers